{% load mptt_tags %}

{% block osvald_dropdown_menu %}
    {% if manager %}
        <li class="dropdown">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true"
               aria-expanded="true"> <span class="nav-label"><i
                    class="fa fa-fw fa-balance-scale"></i>Výstupy z měření</span> <span class="caret"></span></a>
            <ul class="dropdown-menu multi-level" role="menu" aria-labelledby="dropdownMenu">
                <li class=" disabled"><a tabindex="-1" href="#"><b> Všechny podřízené </b></a></li>
                <li class="dropdown-submenu">

                    <a tabindex="-1" href="/user/{{ request.user }}/group/dependend"><i class="fa fa-fw fa-cubes"></i>
                        Týmy</a>
                    <ul class="dropdown-menu children">
                        {% recursetree manager.dependent %}
                            <li class=""><a tabindex="-1" href="/group/{{ node.name }}"><b> {{ node.name }} </b></a></li>
                            <li class="divider"></li>
                            {% if not node.is_leaf_node %}
                                <li class="dropdown-submenu">
                                    <a tabindex="-1" href="/group/{{ node.name }}/dependend"><i class="fa fa-fw fa-cubes"></i> Podřízený tým </a>
                                    <ul class="dropdown-menu children">
                                        {{ children }}
                                    </ul>
                                </li>
                                <li class="divider"></li>
                                <li class="dropdown-submenu">
                                    <a tabindex="-1" href="/group/{{ node.name }}/logic_team"><i
                                            class="fa fa-fw fa-sitemap"></i> Logické týmy</a>
                                    <ul class="dropdown-menu children">
                                        {% for u in node.logical_team.all %}
                                            <li><a href="/logic_team/{{ u.name }}"><i
                                                    class="fa fa-fw fa-sitemap"></i>{{ u.name }}</a></li>
                                        {% endfor %}


                                    </ul>
                                </li>
                                <li class="dropdown-submenu">
                                    <a tabindex="-1" href="/group/{{ node.name }}/users"><i
                                            class="fa fa-fw fa-group"></i> Osoby</a>
                                    <ul class="dropdown-menu children">

                                        {% for u in node.user.all %}
                                            <li><a href="/user/{{ u.username }}"><i
                                                    class="fa fa-fw fa-user"></i><b>{{ u.username }}</b>
                                                - {{ u.first_name }} {{ u.last_name }}</a></li>
                                        {% endfor %}
                                    </ul>
                                </li>

                            {% else %}

                                <li class="dropdown-submenu">
                                    <a tabindex="-1" href="/group/{{ node.name }}/logic_team"><i
                                            class="fa fa-fw fa-sitemap"></i> Logické týmy</a>
                                    <ul class="dropdown-menu children">
                                        {% for u in node.logical_team.all %}
                                            <li><a href="/logic_team/{{ u.name }}"><i
                                                    class="fa fa-fw fa-sitemap"></i>{{ u.name }}</a></li>
                                        {% endfor %}


                                    </ul>
                                </li>
                                <li class="dropdown-submenu">
                                    <a tabindex="-1" href="/group/{{ node.name }}/users"><i
                                            class="fa fa-fw fa-group"></i> Osoby</a>
                                    <ul class="dropdown-menu children">
                                        {% for u in node.user.all %}
                                            <li><a href="/user/{{ u.username }}"><i
                                                    class="fa fa-fw fa-user"></i><b>{{ u.username }}</b>
                                                - {{ u.first_name }} {{ u.last_name }}</a></li>
                                        {% endfor %}
                                    </ul>
                                </li>

                            {% endif %}

                        {% endrecursetree %}
                    </ul>
                </li>
                <li class="divider"></li>
                <li class="dropdown-submenu ">
                    <a tabindex="-1" href="/user/{{ request.user }}/logic_team/dependend"><i
                            class="fa fa-fw fa-sitemap"></i> Logické týmy</a>
                    <ul class="dropdown-menu children">
                                            {% recursetree manager.dependent %}
                                         {% for u in node.logical_team.all %}

                            <li><a href="/logic_team/{{ u.name }}"><i
                                    class="fa fa-fw fa-sitemap"></i> {{ u.name }}</a></li>
                        {% endfor %}
                                                {{ children }}
                                            {% endrecursetree %}
                    </ul>
                <li class="divider"></li>
                <li class="dropdown-submenu">
                    <a tabindex="-1" href="/user/{{ request.user }}/users/dependend"><i class="fa fa-fw fa-group"></i>
                        Osoby</a>
                    <ul class="dropdown-menu children">
                        {% for u in manager.dependent_users %}

                            <li><a href="/user/{{ u.username }}"><i class="fa fa-fw fa-user"></i><b> {{ u }}</b>
                                - {{ u.first_name }} {{ u.last_name }}</a></li>

                        {% endfor %}
                    </ul>

            </ul>
        </li>
    {% endif %}

{% endblock osvald_dropdown_menu %}

